summary refs log tree commit diff
path: root/scripts-dev/nuke-room-from-db.sh
diff options
context:
space:
mode:
authorErik Johnston <erik@matrix.org>2018-05-09 15:32:07 +0100
committerErik Johnston <erik@matrix.org>2018-05-09 15:32:07 +0100
commitcddf91c8b942167feb1e1b87e3c3e80dbc7fa02f (patch)
treecda316a97bc6538074c66cb6267ce23f0793ec78 /scripts-dev/nuke-room-from-db.sh
parentRemove unused code path from member change DB func (diff)
parentMerge pull request #3196 from matrix-org/erikj/pagination_return (diff)
downloadsynapse-cddf91c8b942167feb1e1b87e3c3e80dbc7fa02f.tar.xz
Merge branch 'develop' of github.com:matrix-org/synapse into erikj/remove_membership_change
Diffstat (limited to 'scripts-dev/nuke-room-from-db.sh')
-rwxr-xr-xscripts-dev/nuke-room-from-db.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/scripts-dev/nuke-room-from-db.sh b/scripts-dev/nuke-room-from-db.sh
index 1201d176c2..c62928afdb 100755
--- a/scripts-dev/nuke-room-from-db.sh
+++ b/scripts-dev/nuke-room-from-db.sh
@@ -6,9 +6,19 @@
 
 ## Do not run it lightly.
 
+set -e
+
+if [ "$1" == "-h" ] || [ "$1" == "" ]; then
+  echo "Call with ROOM_ID as first option and then pipe it into the database. So for instance you might run"
+  echo " nuke-room-from-db.sh <room_id> | sqlite3 homeserver.db"
+  echo "or"
+  echo " nuke-room-from-db.sh <room_id> | psql --dbname=synapse"
+  exit
+fi
+
 ROOMID="$1"
 
-sqlite3 homeserver.db <<EOF
+cat <<EOF
 DELETE FROM event_forward_extremities WHERE room_id = '$ROOMID';
 DELETE FROM event_backward_extremities WHERE room_id = '$ROOMID';
 DELETE FROM event_edges WHERE room_id = '$ROOMID';
@@ -29,7 +39,7 @@ DELETE FROM state_groups WHERE room_id = '$ROOMID';
 DELETE FROM state_groups_state WHERE room_id = '$ROOMID';
 DELETE FROM receipts_graph WHERE room_id = '$ROOMID';
 DELETE FROM receipts_linearized WHERE room_id = '$ROOMID';
-DELETE FROM event_search_content WHERE c1room_id = '$ROOMID';
+DELETE FROM event_search WHERE room_id = '$ROOMID'; 
 DELETE FROM guest_access WHERE room_id = '$ROOMID';
 DELETE FROM history_visibility WHERE room_id = '$ROOMID';
 DELETE FROM room_tags WHERE room_id = '$ROOMID';